{% extends 'skin.html' %}
{% load static %}
{% load components %}
{% block title %}FAST - {{project.title}}{% endblock %}
{% block body %}
<div class="position-relative overflow-hidden text-center my-2 rounded py-3">
    <div class="col-md-9 px-5 pb-3 mx-auto my-0">
        {% if project.icon %}
        <img class="mt-3" src="{{ project.icon.url }}" height="100px" alt="img">
        {% endif %}
        <h1 class="display-4 font-weight-normal">{{ project.title }}</h1>
        <p class="lead font-weight-normal">{{ project.tagline }}</p>
        {% if project.url %}
        <p>URL: <a href="{{project.url}}">{{project.url}}</a></p>
        {% endif %}
        <div class="btn-group btn-group-sm">
            {% if project.documentation_url %}
            <a class="btn btn-outline-primary" href="{{project.documentation_url}}">User Documentation</a>
            {% endif %}
            {% if project.ticket_url %}
            <a class="btn btn-outline-primary" href="{{project.ticket_url}}">Submit a Ticket</a>
            {% endif %}
        </div>
        {% if can_edit %}
        <div class="text-center mt-4">
        <a class="" href="{% url 'admin:projector_project_change' project.id %}">Edit Project</a>
        </div>
        {% endif %}
        {% if project.technologies.exists %}
        <div class="d-flex justify-content-center mt-4">
        {% for tech in project.technologies.all %}
        {% tech_badge tech %}
                <!--<span class="badge badge-pill badge-success mx-4"><a href="/?tech={{tech.name|slugify}}" style="color:white">{{tech.name}}</a></span>-->
        {% endfor %}
        </div>
        {% endif %}
    </div>
</div>

<div class="mx-auto" style="max-width: 800px;">
    <ul class="nav nav-tabs" id="pills-tab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" id="pills-home-tab" data-toggle="pill" href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Description</a>
        </li>          
        {% if specs or can_edit %}
        <li class="nav-item">
            <a class="nav-link" id="pills-specifications-tab" data-toggle="pill" href="#pills-specifications" role="tab" aria-controls="pills-specifications" aria-selected="false">Specifications [FAST MEMBERS ONLY]</a>
        </li>
        {% endif %}
    </ul>
    <div class="tab-content border border-top-0 p-4" id="pills-tabContent">
        <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
            {{ project.description|markdown }}

            {% if project.contact_set.all or project.contributor_set.all %}
                <hr class="my-5" / >
                {% if project.contact_set.all%}
                <h4>Project Contacts</h4>
                <div class="d-flex flex-wrap mb-5" style="gap: 1rem;">
                {% for c in project.contact_set.all %}
                    <div class="card shadow-sm" style="max-width: 16rem; min-width: 10rem; box-sizing: border-box; flex: 1 1 0;">
                        <div class="card-img-top bg-light p-2 d-flex justify-content-center">
                            <img src="{{c.avatar_url}}" style="height: 6rem;" class="rounded-circle"/>
                        </div>
                        <div class="card-body text-center">
                            <a href="mailto:{{c.email}}" class="d-block mb-3 font-weight-bold text-body" style="font-size: 120%">
                                {% if not c.last_name and c.username %}
                                {{c.username}}
                                {% else %}
                                {{c.first_name}} {{c.last_name}}
                                {% endif %}
                            </a>
                            <span>{{c.contact_for}}</span>
                        </div>
                    </div>
                {% endfor %}
                </div>
                {% endif %}

                {% if project.contributor_set.all %}
                <h4>Contributors and Stakeholders</h4>

                <div class="d-flex flex-wrap mb-5" style="gap: 1rem;">

                {% for group in contributors %}
                {% if group.members %}
                    {% for c in group.members %}
                    <div class="card shadow-sm" style="max-width: 16rem; min-width: 10rem; box-sizing: border-box; flex: 1 1 0;">
                        <div class="card-img-top bg-light p-2 font-weight-bold">
                            {{group.label}}
                        </div>
                        <div class="card-body text-center">
                            <a href="mailto:{{c.email}}" class="d-block mb-3 font-weight-bold text-body" style="font-size: 120%">
                                {% if not c.last_name and c.username %}
                                {{c.username}}
                                {% else %}
                                {{c.first_name}} {{c.last_name}}
                                {% endif %}
                            </a>
                            <span>{{c.contributed_to}}</span>
                        </div>
                    </div>
                    {% endfor %}
                {% endif %}
                {% endfor %}
                </div>
                {% endif %}

            {% endif %}
        </div>
        <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
            {% for notice in project.overlay.active_notifications %}
            <div class="card my-3 d-flex justify-content-center">
                <div class="card-body">
                    <h5 class="card-title">{{ notice.title }}</h5>
                    {% if notice.active_end %} <b class="card-subtitle mb-2 text-muted">Expires on: {{ notice.active_end}}</b>{% endif %}
                    <p class="card-text">{{ notice.content|linebreaksbr }}</p>
                </div>
            </div>
            {% endfor %}
        </div>
        {% for doc in project.trackeddocument_set.all %}
        <div class="tab-pane fade" id="pills-td-{{doc.slug|default:forloop.counter0}}" role="tabpanel" aria-labelledby="pills-td-{{doc.slug|default:forloop.counter0}}">
            <div class="d-flex justify-content-between align-items-end">
                <span>Updated on {{doc.date_updated}}</span>
                <a href="{% url 'view-document' project.slug doc.slug %}" target="_blank" class="">
                    View Printable Version / History
                </a>
            </div>
            {{ doc.body|markdown }}
        </div>      
        {% endfor %}
        {% if specs or can_edit %}
        <div class="tab-pane fade" id="pills-specifications" role="tabpanel" aria-labelledby="pills-specifications-tab">
            <div class="alert alert-info mb-1">
                The following document will eventually be downloadable as Markdown or JSON
            </div>
            {% if can_edit %}
            <div class="d-flex justify-content-end">
                <a href="specifications" class="btn btn-secondary btn-sm">Edit Specs</a>
            </div>
            {% endif %}
            {% if specs %}
            {{specs|safe}}
            {% else %}
            <em>No specs filled out (yet!)</em>
            {% endif %}

        </div>
        {% endif %}

    </div>
</div>
{% endblock %}

{% block scripts %}
<script>
    var tab = (new URL(document.location)).searchParams.get('tab')
    console.log('p')
    console.log(tab)
    if (tab=='specs'){
        $('#pills-specifications-tab').tab('show')
    }
</script>
{% endblock %}
